## org.apache.lucene.queryparser.xml.builders
Class DuplicateFilterBuilder

    java.lang.Object
      org.apache.lucene.queryparser.xml.builders.DuplicateFilterBuilder

All Implemented Interfaces:
  FilterBuilder

    public class DuplicateFilterBuilder

extends Object
implements FilterBuilder

Builder for `DuplicateFilter`

Constructor Summary
`DuplicateFilterBuilder()`

Method Summary
`Filter` `getFilter(Element e)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DuplicateFilterBuilder

    public DuplicateFilterBuilder()

Method Detail

### getFilter

    public Filter getFilter(Element e)
                     throws ParserException

  Specified by:
    `getFilter` in interface `FilterBuilder`
  Throws:
    `ParserException`

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.